## ros-one-industrial-robot-status-controller 0.1.2-5jammy.20260221.0038

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(industrial_robot_status_controller)

find_package(catkin REQUIRED
  COMPONENTS
    controller_interface
    hardware_interface
    industrial_msgs
    industrial_robot_status_interface
    pluginlib
    realtime_tools
)

# this is empty as this pkg provides a plugin. Users are not expected
# to link the library against a binary directly.
catkin_package()

include_directories(
  include
  ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/controller.cpp)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-industrial-robot-status-controller (0.1.2-5jammy.20260221.0038) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 21 Feb 2026 00:38:15 +0000

ros-one-industrial-robot-status-controller (0.1.2-0jammy) jammy; urgency=high

  * Fix potential build ordering problem with industrial_msgs pkg. (#4 <https://github.com/gavanderhoorn/industrial_robot_status_controller/issues/4>)
  * Contributors: Bianca Homberg

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 12 May 2019 00:00:00 -0000

ros-one-industrial-robot-status-controller (0.1.1-0jammy) jammy; urgency=high

  * Don't export build deps. (#3 <https://github.com/gavanderhoorn/industrial_robot_status_controller/issues/3>)

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Apr 2019 00:00:00 -0000

ros-one-industrial-robot-status-controller (0.1.0-0jammy) jammy; urgency=high

  * First release

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 27 Mar 2019 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-industrial-robot-status-controller//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-industrial-robot-status-controller 0.1.2-5noble.20260221.0108

=== debian/changelog ===
ros-one-industrial-robot-status-controller (0.1.2-5noble.20260221.0108) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 21 Feb 2026 01:08:13 +0000

ros-one-industrial-robot-status-controller (0.1.2-0noble) noble; urgency=high

  * Fix potential build ordering problem with industrial_msgs pkg. (#4 <https://github.com/gavanderhoorn/industrial_robot_status_controller/issues/4>)
  * Contributors: Bianca Homberg

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 12 May 2019 00:00:00 -0000

ros-one-industrial-robot-status-controller (0.1.1-0noble) noble; urgency=high

  * Don't export build deps. (#3 <https://github.com/gavanderhoorn/industrial_robot_status_controller/issues/3>)

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Apr 2019 00:00:00 -0000

ros-one-industrial-robot-status-controller (0.1.0-0noble) noble; urgency=high

  * First release

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 27 Mar 2019 00:00:00 -0000

=== debian/control ===
Source: ros-one-industrial-robot-status-controller
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-controller-interface, ros-one-hardware-interface, ros-one-industrial-msgs, ros-one-industrial-robot-status-interface, ros-one-pluginlib, ros-one-realtime-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-industrial-robot-status-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-controller-interface, ros-one-hardware-interface, ros-one-industrial-msgs, ros-one-pluginlib, ros-one-realtime-tools
Description: A ros_control controller that reports robot status using the ROS-Industrial RobotStatus message.
